"""Common filenames and locations for topographic data, meshes and outputs.
"""


from os import sep
from os import environ
from os.path import expanduser
import sys

#Making assumptions about the location of scenario data
# Assumes the INUNDATIONHOME environ variable exists

scenario_dir_name = 'gippsland_storm_surge_scenario_2005'
basename = 'lakes_100'
boundary_basename = 'csiro_bondary'

if sys.platform == 'win32':
    home = environ["INUNDATIONHOME"]     #Sandpit's parent dir
else:    
    home = expanduser('~')


#Derive subdirectories and filenames
meshdir = home+sep+scenario_dir_name+sep+'meshes'+sep
datadir = home+sep+scenario_dir_name+sep+'topographies'+sep
outputdir = home+sep+scenario_dir_name+sep+'output'+sep
boundarydir = home+sep+scenario_dir_name+sep+'boundaries'+sep
bath_dir = boundarydir + 'bathymetry_expanded'
elevation_dir =  boundarydir + 'elev_expanded'
ucur_dir =  boundarydir + 'ucur_expanded'
vcur_dir =  boundarydir + 'vcur_expanded'

meshname = meshdir + basename + '.tsh'
mesh_elevname = meshdir + basename + '_elev' + '.tsh'
demname = datadir + basename + '.dem'
#demname = datadir + 'lakes_100'
pointname = datadir + basename + '.pts'
boundaryname = boundarydir + boundary_basename + '.sww'
outputname = outputdir + basename  + '.sww' #Used by post processing

gauge_filename = 'gauges.csv'

tide = 0.0


#-------------------------------------------------------------
if __name__ == "__main__":
    print "mesh_elevname",mesh_elevname
    update_names(999)
    print "mesh_elevname",mesh_elevname 
